Commit 2b8672c5 authored by Natanael Copa's avatar Natanael Copa

main/py-openssl: security upgrade to 17.5.0

CVE-2018-1000807, CVE-2018-1000808

fixes #9867
parent e37604c4
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=py-openssl
_pkgname=pyOpenSSL
pkgver=17.2.0
pkgver=17.5.0
pkgrel=0
pkgdesc="Python wrapper module around the OpenSSL library"
url="https://github.com/pyca/pyopenssl"
......@@ -13,6 +13,11 @@ subpackages="py3-${pkgname#py-}:_py3 py2-${pkgname#py-}:_py2"
source="https://files.pythonhosted.org/packages/source/${_pkgname:0:1}/$_pkgname/$_pkgname-$pkgver.tar.gz"
builddir="$srcdir/$_pkgname-$pkgver"
# secfixes:
# 17.5.0-r0:
# - CVE-2018-1000807
# - CVE-2018-1000808
build() {
cd "$builddir"
python2 setup.py build
......@@ -44,4 +49,4 @@ _py3() {
_py python3
}
sha512sums="aef1628665353445760a0c869c5b88ba1f61a3ade7471bfd1ad9e57672573501574dab5a2491aaac1dc283893fcac1a81dd9b972f43d53fe7ef1aa48e3f0e88a pyOpenSSL-17.2.0.tar.gz"
sha512sums="f194662b5842f1e3a4fcb910b9f2e6482d1dcdf834f306acc3dd6d9723f65038f7bff550248fa6268d90c839c9d9e8248bb6c7d399495fe6aed25291b93ece86 pyOpenSSL-17.5.0.tar.gz"
Markdown is supported
0% or
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment